stan-0.2.0.0: Haskell STatic ANalyser

Copyright | (c) 2020 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Safe Haskell | None
Language | Haskell2010

Stan.Core.ModuleName

Description

Wrapper around Haskell module names and conversion functions for GHC types.

Synopsis

- newtype ModuleName = ModuleName {
  - unModuleName :: Text
  }
- fromGhcModule :: Module -> ModuleName
- fromGhcModuleName :: ModuleName -> ModuleName

# Documentation

newtype ModuleName #

Wrapper around Haskell module name.

Constructors

ModuleName |
Fields unModuleName :: Text

#### Instances

Instances details

IsString ModuleName # |
Instance details Defined in Stan.Core.ModuleName Methods fromString :: String -> ModuleName #
Show ModuleName # |
Instance details Defined in Stan.Core.ModuleName Methods showsPrec :: Int -> ModuleName -> ShowS # show :: ModuleName -> String # showList :: [ModuleName] -> ShowS #
Eq ModuleName # |
Instance details Defined in Stan.Core.ModuleName Methods (==) :: ModuleName -> ModuleName -> Bool # (/=) :: ModuleName -> ModuleName -> Bool #
Hashable ModuleName # |
Instance details Defined in Stan.Core.ModuleName Methods hashWithSalt :: Int -> ModuleName -> Int # hash :: ModuleName -> Int #
ToJSON ModuleName # |
Instance details Defined in Stan.Core.ModuleName Methods toJSON :: ModuleName -> Value #

fromGhcModule :: Module -> ModuleName #

Extract `ModuleName` from `Module`.

fromGhcModuleName :: ModuleName -> ModuleName #

Convert `ModuleName` to `ModuleName`.